(function ($) {
    "use strict";
    $('.switcher-setting').on('click', function () {
        if ($('#style-switcher').hasClass('active')) {
            $('#style-switcher').removeClass('active');
        } else {
            $('#style-switcher').removeClass('active');
            $('#style-switcher').addClass('active');
        }
    });
    $('.boxed,.pattren-wrap a').on('click', function () {
        $('.webpulse-main-wrapper').addClass('wrapper-boxed');
        $('.webpulse-main-wrapper').removeClass('wrapper-wide');
        $(window).resize();
    });
    $('.wide').on('click', function () {
        $('.webpulse-main-wrapper').addClass('wrapper-wide');
        $('.webpulse-main-wrapper').removeClass('wrapper-boxed');
        $(window).resize();
    });
    $('.bg-list li a').on('click', function () {
        var bg = $(this).css("backgroundImage");
        $("body").css("backgroundImage", bg);
        $(window).resize();
    });
    $(".style1").on("click", function () {
        $("#colors").attr("href", "designer/css/themes.css");
        $("#logo").attr("src", "designer/images/logos/logo.png");
        return false;
    });
    $(".style2").on("click", function () {
        $("#colors").attr("href", "designer/css/theme2.css");
        $("#logo").attr("src", "designer/images/logos/logo2.png");        
        return false;
    });
    $(".style3").on("click", function () {
        $("#colors").attr("href", "designer/css/theme3.css");
        $("#logo").attr("src", "designer/images/logos/logo3.png");
        return false;
    });
    $(".style4").on("click", function () {
        $("#colors").attr("href", "designer/css/theme4.css");
        $("#logo").attr("src", "designer/images/logos/logo4.png");
        return false;
    });
    $(".style5").on("click", function () {
        $("#colors").attr("href", "designer/css/theme5.css");
        $("#logo").attr("src", "designer/images/logos/logo5.png");
        return false;
    });
    $(".style6").on("click", function () {
        $("#colors").attr("href", "designer/css/theme6.css");
        $("#logo").attr("src", "designer/images/logos/logo6.png");
        return false;
    });
    $(".style7").on("click", function () {
        $("#colors").attr("href", "designer/css/theme7.css");
        $("#logo").attr("src", "designer/images/logos/logo7.png");
        return false;
    });
    $(".style8").on("click", function () {
        $("#colors").attr("href", "designer/css/theme8.css");
        $("#logo").attr("src", "designer/images/logos/logo8.png");
        return false;
    });
    $(".style9").on("click", function () {
        $("#colors").attr("href", "designer/css/theme9.css");
        $("#logo").attr("src", "designer/images/logos/logo9.png");
        return false;
    });
    $(".style10").on("click", function () {
        $("#colors").attr("href", "designer/css/theme10.css");
        $("#logo").attr("src", "designer/images/logos/logo10.png");
        return false;
    });
    $(".style11").on("click", function () {
        $("#colors").attr("href", "designer/css/theme11.css");
        $("#logo").attr("src", "designer/images/logos/logo11.png");
        return false;
    });
    $(".style12").on("click", function () {
        $("#colors").attr("href", "designer/css/theme12.css");
        $("#logo").attr("src", "designer/images/logos/logo12.png");
        return false;
    });
    $(".style13").on("click", function () {
        $("#colors").attr("href", "designer/css/theme13.css");
        $("#logo").attr("src", "designer/images/logos/logo13.png");
        return false;
    });
    $(".style14").on("click", function () {
        $("#colors").attr("href", "designer/css/theme14.css");
        $("#logo").attr("src", "designer/images/logos/logo14.png");
        return false;
    });
    $(".style15").on("click", function () {
        $("#colors").attr("href", "designer/css/theme15.css");
        $("#logo").attr("src", "designer/images/logos/logo15.png");
        return false;
    });
    $(".style16").on("click", function () {
        $("#colors").attr("href", "designer/css/theme16.css");
        $("#logo").attr("src", "designer/images/logos/logo16.png");
        return false;
    });
    $(".font").on("click", function () {
        $("#fonts").attr("href", "designer/css/font.css");
        return false;
    });
    
    $(".font1").on("click", function () {
        $("#fonts").attr("href", "designer/css/font1.css");
        return false;
    });
    
    $(".font2").on("click", function () {
        $("#fonts").attr("href", "designer/css/font2.css");
        return false;
    });
    
    
    $(".font3").on("click", function () {
        $("#fonts").attr("href", "designer/css/font3.css");
        return false;
    });
    
    
    $(".font4").on("click", function () {
        $("#fonts").attr("href", "designer/css/font4.css");
        return false;
    });
    
    $(".font5").on("click", function () {
        $("#fonts").attr("href", "designer/css/font5.css");
        return false;
    });
    
})(jQuery);
